/* 
Суть плагина
После подключения на сервер клиенту задается вопрос "Забиндить кнопки?". 
При нажатии "Да" клиенту отправляются бинды из файла bind_file.txt
Меню можно открыть при помощи команды  /bindmenu 

CVAR
bind_skip_menu 10 -  Время в секундах через которое  клиенту будет показано меню (если 0 меню не будет автоматически показано )
bind_chat_anonce 180  - Время в секундах между показами подсказки в чате (0 - подсказка не показывается)

Версия 0.2
Автор - TBicTep
*/

#include <amxmodx>

new g_BindMenu, g_ChatAnonce

public plugin_init()
{
	register_plugin("Bind Question","0.2","TBicTep");
	register_clcmd("say /bindhelp", "BindHelp")
	register_clcmd("say /bindmenu", "BindMenu")
	
	g_BindMenu = register_cvar( "bind_skip_menu", "10" );
	g_ChatAnonce = register_cvar("bind_chat_anonce","180");
	
	new iChatAnonce = get_pcvar_num( g_ChatAnonce )
	if( iChatAnonce != 0 )
	{
	set_task (float(iChatAnonce), "chat_anonce", 0, "", 0, "b")
	}
}
public client_putinserver(id)
{
	new iSkipMenu = get_pcvar_num( g_BindMenu )
	if( iSkipMenu != 0 )
		set_task( float(iSkipMenu),"BindMenu",id);
}
public BindMenu(id)
{
	if(is_user_connected(id))
	{
		new menu = menu_create("Забиндить кнопки?","BindFuncMenu")
	
		menu_additem(menu,"Да","1")
		menu_additem(menu,"Нет","2")
		menu_additem(menu,"Посмотреть бинды","3")
	
		menu_setprop(menu,MPROP_NUMBER_COLOR,"\w")
		menu_setprop(menu,MPROP_EXIT,-1)
		menu_display(id,menu)
		return PLUGIN_CONTINUE
	}
	return PLUGIN_HANDLED
}
public BindFuncMenu(id,menu,item)
{
	if(item==MENU_EXIT)
	{
		return PLUGIN_HANDLED
	}
	
	new data[6],iName[64],access,callback
	menu_item_getinfo(menu,item,access,data,charsmax(data),iName,charsmax(iName),callback)
	
	new key = str_to_num(data)
	
	switch(key)
	{
		case 1:
		{
			new File=fopen("/addons/amxmodx/configs/bind_file.txt","r");
			if (File)
			{
				new Text[512];
				new Bindkey[32];
				new Command[32];
		
				while (!feof(File))
				{
					fgets(File,Text,sizeof(Text)-1);
			
					trim(Text);
			
					// comment
					if (Text[0]==';') 
					{
						continue;
					}
					Bindkey[0]=0;
					Command[0]=0;			
			
					// not enough parameters
					if (parse(Text,Bindkey,sizeof(Bindkey)-1,Command,sizeof(Command)-1) < 2)
					{
						continue;
					}
					client_cmd(id,"bind ^"%s^" ^"%s^"",Bindkey, Command);
				}
				client_print(id,print_chat,"[BIND]:Bind successful.")
				fclose(File);
				return PLUGIN_HANDLED
			}
			return PLUGIN_HANDLED
		}
		case 2:
		{
			return PLUGIN_HANDLED
		}
		case 3:
		{
			client_cmd(id,"say /bindhelp");
		}
	}
	return PLUGIN_HANDLED
}
public BindHelp(id)
{
	new motd[2048], len;
	len = formatex(motd,2047,"<html><meta charset=UTF-8><style>body{background:#F2F2F2;font-family:Arial}th{background:#175D8B;color:#FFF;padding:7px;text-align:left}td{padding:3px;border-bottom:1px #BFBDBD solid}table{color:#153B7C;background:#F4F4F4;font-size:11px;border:1px solid #BFBDBD}h2,h3{color:#153B7C}#c{background:#ECECEC}img{height:8px;background:#54D143;margin:0 3px}#r{height:8px;background:#C80B0F}#clr{background:none;color:#175D8B;font-size:20px;border:0}</style>");
	len += formatex(motd[len],2047-len,"<body><table width=50%% border=0 align=center cellpadding=0 cellspacing=1><tr><th>Клавиша<th>Команда</tr>");
	
	new File=fopen("/addons/amxmodx/configs/bind_file.txt","r");
	
	if (File)
	{
		new Text[512];
		new Bindkey[32];
		new Command[32];
		
		while (!feof(File))
		{
			fgets(File,Text,sizeof(Text)-1);
			
			trim(Text);
			
			// comment
			if (Text[0]==';') 
			{
				continue;
			}
			Bindkey[0]=0;
			Command[0]=0;			
			
			// not enough parameters
			if (parse(Text,Bindkey,sizeof(Bindkey)-1,Command,sizeof(Command)-1) < 2)
			{
				continue;
			}
			
			len += formatex(motd[len],2047-len,"<tr><td>%s<td>%s</tr>", Bindkey, Command);
		}
		
		fclose(File);
	}
	len += formatex(motd[len],2047-len,"</table></body></html>");
	show_motd(id ,motd,"bind key");
}
public chat_anonce (id)
{
	client_print(0,print_chat,"Для просмотра меню бинда клавиш напишите в чате /bindmenu")
}